EndpointsScheduled changes
Get Area Scheduled Changes
Gets all scheduled future stage changes for an area. Includes pending, approved, rejected, cancelled, and applied changes.
Gets all scheduled future stage changes for an area. Includes pending, approved, rejected, cancelled, and applied changes.
Path Parameters
areaId*string
Format
uuidQuery Parameters
page?|
Default
1Match
^-?(?:0|[1-9]\d*)$Format
int32pageSize?|
Default
50Match
^-?(?:0|[1-9]\d*)$Format
int32status?string
isCancelled?boolean
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/areas/497f6eca-6276-4993-bfeb-53cbbbba6f08/scheduled-changes"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"targetStage": null,
"effectiveFrom": "2019-08-24T14:15:22Z",
"approval": {
"status": "string",
"approvedAt": null,
"rejectionReason": null
},
"isApplied": true,
"isCancelled": true,
"cancellationReason": null,
"createdBy": "string",
"createdAt": "2019-08-24T14:15:22Z",
"appliedAssignmentDeletedAt": null,
"appliedAssignmentDeletionReason": null
}
],
"pageNumber": 0,
"pageSize": 0,
"totalCount": 0,
"totalPages": 0,
"hasPreviousPage": true,
"hasNextPage": true
}{
"type": null,
"title": null,
"status": null,
"detail": null,
"instance": null
}{
"type": null,
"title": null,
"status": null,
"detail": null,
"instance": null
}Empty